> For the complete documentation index, see [llms.txt](https://docs.snomed.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.snomed.org/snomed-ct-specifications/snomed-ct-release-file-specification/release-types-packages-and-files/3.1-common-features-of-all-release-files/3.1.1-general-structure-of-release-files.md).

# General Structure of Release Files

The following rules apply to all SNOMED CT Release Files.

* SNOMED CT Release Files are UTF-8 encoded, tab delimited text files.
* Each line, including the final line, ends with a carriage return character (hex 0D) followed by a line feed character (hex 0A).
* The first line of each file, contains the names of each column (also know more generally as a field).
* Field names are represented using lower-camel-case
  * First letter of name is lower case
  * First letter of each words apart from the first word in the name is upper case
  * All other letters are lower case.
  * For example:
    * id
    * term
    * typeId
    * relationshipGroup
    * definitionStatusId
* The name, datatype and usage of the fields in each file are specified in the following sections of this guide
  * [File Format Specifications](https://github.com/SNOMED-Documents/snomed-release-file-specification/blob/main/4%20component-release-files-specification/4.2%20file-format-specifications)
  * [Reference Set Types](https://github.com/SNOMED-Documents/snomed-release-file-specification/blob/main/5%20reference-set-release-files-specification/5.2%20reference-set-types).

<a href="https://docs.google.com/forms/d/e/1FAIpQLScTmbZIf0UEQwYDkY27EEWBkaiYkHSbR0_9DmFrMLXoQLyL7Q/viewform?usp=pp_url&#x26;entry.1767247133=Release+File+Specification&#x26;entry.670899847=General%20Structure%20of%20Release%20Files" class="button primary">Provide Feedback</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.snomed.org/snomed-ct-specifications/snomed-ct-release-file-specification/release-types-packages-and-files/3.1-common-features-of-all-release-files/3.1.1-general-structure-of-release-files.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
